### Enumeration

# Gdk KeyMatch

since: 4.0

#### Declaration

    enum Gdk.KeyMatch

#### Description [src]

Describes how well an event matches a given keyval and modifiers.

`GdkKeyMatch` values are returned by `gdk_key_event_matches()`.

Available since: 4.0

#### Members

`GDK_KEY_MATCH_NONE`

  The key event does not match.

  - Value: `0`
  - Nickname: `none`
  - Available since: 4.0
`GDK_KEY_MATCH_PARTIAL`

  The key event matches if keyboard state (specifically, the currently active group) is ignored.

  - Value: `1`
  - Nickname: `partial`
  - Available since: 4.0
`GDK_KEY_MATCH_EXACT`

  The key event matches.

  - Value: `2`
  - Nickname: `exact`
  - Available since: 4.0